EDIT - bug #6407

Upgrade maven compiler plugin to latest version
02/02/2017 10:58 PM - Andreas Mdller

Status: New Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 0%
Category: platform Estimated time: 0:00 hour
Target version: Release 5.44

Severity: major Found in Version: Release 4.6
Description

Currently this is not yet possible as it results in test errors probably related to missing aspectj support. This problems starts with

version 3.x

Also interesting might be maven wrapper: https://maven.apache.org/wrapper/

Related issues:

Related to EDIT - task #6401: Update working environment to jdk 1.8 Closed

Related to EDIT - bug #6404: StackOverflow when compiling large java classes ... Rejected

Related to EDIT - task #9359: Update cdmlib, taxeditor, cdmserver etc. depend... Closed

Related to EDIT - task #10055: Updates, upgrades and cleanup 2023 New

Has duplicate EDIT - task #9919: Upgrade maven-compiler-plugin to 3.x in cdmlib Duplicate

Blocks EDIT - task #6981: Migrate to Java 11 New 05/04/2022

05/13/2022

Associated revisions

Revision 215f1b60 - 01/05/2023 12:13 PM - Andreas Miiller

ref #6407 add commented 3.x version to compiler plugin

History

#1 - 02/02/2017 11:00 PM - Andreas Miiller
- Related to task #6401: Update working environment to jdk 1.8 added

#2 - 02/02/2017 11:00 PM - Andreas Miiller
- Related to bug #6404: StackOverflow when compiling large java classes in Java8 (jdk1.8) added

#3 - 02/02/2017 11:03 PM - Andreas Miiller
- Tags set to jdk1.8

Maybe a related 1ddde622ae10b01976cdb99fb50a469a5506ca7e

#4 - 04/21/2020 12:26 PM - Andreas Miiller

- Assignee changed from Patrick Plitzner to Andreas Kohlbecker

#5 - 10/27/2021 01:05 AM - Andreas Miiller
- Related to task #9359: Update cdmlib, taxeditor, cdmserver etc. dependencies added

#6 - 01/15/2022 07:43 PM - Andreas Miiller
- Has duplicate task #9919: Upgrade maven-compiler-plugin to 3.x in cdmlib added

#7 - 01/15/2022 07:45 PM - Andreas Miiller
- Assignee changed from Andreas Kohlbecker to Andreas Mliller

- Target version changed from Unassigned CDM tickets to Release 5.46

#8 - 12/27/2022 03:35 PM - Andreas Miiller
- Related to task #10055: Updates, upgrades and cleanup 2023 added

#10 - 01/05/2023 05:21 PM - Andreas Miiller
- Blocks task #6981: Migrate to Java 11 added

#11 - 01/05/2023 05:52 PM - Andreas Miiller
- Tags changed from jdk1.8 to jdk1.8, javaii
- Description updated

- Target version changed from Release 5.46 to Release 5.44

| tried to handle aspectj with aspectj-maven-plugin (and remove the ant-run-plugin) in cdmlib-model

https://www.mojohaus.org/aspectj-maven-plugin/index.html

<plugin>
<groupld>org.codehaus.mojo</groupIld>
<artifactId>aspectj-maven-plugin</artifactId>
<version>1.14.0</version>
<executions>
<execution>
<goals>
<goal>compile</goal> <!-- use this goal to weave all your main classes —--—>
<goal>test-compile</goal> <!-- use this goal to weave all your test classes —-—>
</goals>
</execution>
</executions>
<dependencies>
<dependency>
<groupld>org.aspectj</groupId>
<artifactId>aspectijrt</artifactId>
<version>${aspectj.version}</version>
</dependency>
<dependency>
<groupId>org.aspect j</groupIld>
<artifactId>aspectjtools</artifactId>
<version>${aspectj.version}</version>
</dependency>
</dependencies>
</plugin>

but resulted in a StackOverflow due to (self-referencing?) generics in TypeDesginationStatusBase (and maybe others).

[INFO]
[INFO] --- maven-compiler-plugin:2.5.1l:compile (default-compile) @ cdmlib-model ---
[INFO] Compiling 585 source files to c:\Users\a.mueller\eclipse\git\cdmlib2\cdmlib-model\target\classes
[INFO]
[INFO] --- aspectj-maven-plugin:1.14.0:compile (default) @ cdmlib-model -—-
[INFO] Showing AJC message detail for messages of types: [error, warning, fail]
java.lang.RuntimeException: PR341926 diagnostics: Incorrect setup for a generic type, raw type should not poin
t to raw: eu.etaxonomy.cdm.model.name.TypeDesignationStatusBase
at org.aspectj.weaver.ReferenceType.setGenericType (ReferenceType. java:1101)
at org.aspectj.ajdt.internal.compiler.lookup.EclipseFactory.addSourceTypeBinding (EclipseFactory.java:l
169)
at org.aspectj.ajdt.internal.compiler.lookup.AjLookupEnvironment.completeTypeBindings (AjLookupEnvironm
ent.java:169)
at org.aspectj.org.eclipse.jdt.internal.compiler.Compiler.internalBeginToCompile (Compiler. java:893)
at org.aspectj.org.eclipse.jdt.internal.compiler.Compiler.beginToCompile (Compiler. java:395)
at org.aspectj.org.eclipse.jdt.internal.compiler.Compiler.compile (Compiler.java:445)
at org.aspectj.org.eclipse.jdt.internal.compiler.Compiler.compile (Compiler.java:427)
at org.aspectj.ajdt.internal.core.builder.AjBuildManager.performCompilation (AjBuildManager. java:1096)
at org.aspectj.ajdt.internal.core.builder.AjBuildManager.performBuild (AjBuildManager. java:275)
at org.aspectj.ajdt.internal.core.builder.AjBuildManager.batchBuild (AjBuildManager. java:188)
at org.aspectj.ajdt.ajc.AjdtCommand.doCommand (AjdtCommand. java:103)
at org.aspectj.ajdt.ajc.AjdtCommand.runCommand (AjdtCommand. java:47)
at org.aspectj.tools.ajc.Main.run (Main.java:372)
at org.aspectj.tools.ajc.Main.runMain (Main. java:250)
at org.codehaus.mojo.aspectj.AbstractAjcCompiler.execute (AbstractAjcCompiler. java:568)
at org.apache.maven.plugin.DefaultBuildPluginManager.executeMojo (DefaultBuildPluginManager. java:137)
at org.apache.maven.lifecycle.internal.MojoExecutor.execute (MojoExecutor.java:210)
at org.apache.maven.lifecycle.internal.MojoExecutor.execute (MojoExecutor.java:156)
at org.apache.maven.lifecycle.internal.MojoExecutor.execute (MojoExecutor.java:148)
at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject (LifecycleModuleBuilder. java
:117)

at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject (LifecycleModuleBuilder. java
:81)

at org.apache.maven.lifecycle.internal.builder.singlethreaded.SingleThreadedBuilder.build(SingleThread
edBuilder. java:56)

at org.apache.maven.lifecycle.internal.LifecycleStarter.execute (LifecycleStarter.java:128)

at org.apache.maven.DefaultMaven.doExecute (DefaultMaven. java:305)

at org.apache.maven.DefaultMaven.doExecute (DefaultMaven. java:192)

at org.apache.maven.DefaultMaven.execute (DefaultMaven. java:105)

at org.apache.maven.cli.MavenCli.execute (MavenCli. java:957)

at org.apache.maven.cli.MavenCli.doMain (MavenCli. java:289)

at org.apache.maven.cli.MavenCli.main (MavenCli.java:193)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced (Launcher. java:282)

at org.codehaus.plexus.classworlds.launcher.Launcher.launch (Launcher. java:225)

at org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode (Launcher. java:406)

at org.codehaus.plexus.classworlds.launcher.Launcher.main (Launcher. java:347)
[ERROR] ABORT
Jan 05, 2023 5:49:00 PM org.aspectj.weaver.tools.Jdkl4Trace info
INFORMATION: Dumping to c:\Users\a.mueller\eclipse\git\cdmlib2\cdmlib-model\.\ajcore.20230105.174900.124.txt
[INFO] oo
[INFO] BUILD FAILURE
[INFO]
[INFO] Total time: 16.439 s
[INFO] Finished at: 2023-01-05T17:49:00+01:00
[INFO]
[ERROR] Failed to execute goal org.codehaus.mojo:aspectj-maven-plugin:1.14.0:compile (default) on project cdml

ib-model: AJC compiler errors:

[ERROR] abort ABORT -- (StackOverflowError) null
[ERROR] null

[ERROR] Jjava.lang.StackOverflowError

[ERROR] at org.aspectj.weaver.ReferenceType.setDelegate (ReferenceType. java:1015)
[ERROR] at org.aspectj.weaver.ReferenceType.setDelegate (ReferenceType.java:1026)
[ERROR] at org.aspectj.weaver.ReferenceType.setDelegate (ReferenceType. java:1026)

( )

[ERROR] at org.aspectj.weaver.ReferenceType.setDelegate (ReferenceType.java:1026

#12 - 04/29/2023 06:52 PM - Andreas Miiller

- Description updated

04/25/2024 3/3


http://www.tcpdf.org

